import java.util.*;
import java.lang.*;
import java.io.*;

class boilertest{
     public static void main (String args[]) throws IOException
     {
     // Doğal gaz
     // ch4 0.908
     // c2h6 0.059
     // c3h8 0.006
     // n2 0.009
     // co2 0.018
     String s1[]={"ch4","c2h6","c3h8","n2","co2"};
     double n1[]={0.908,0.059,0.006,0.000,0.018};
     double Tfuel=298.0;//K
     double Tair=298.0;//K
     double Texhaust=500.0;//K
     double excess_air=1.5;
     boolean Higher_heating_value=true;//üst ısıl değer üzerinden analiz
     kazan k1=new kazan(s1,n1,Tfuel,Tair,Texhaust,excess_air,Higher_heating_value);
     System.out.println("Q="+k1.Qi()+"Qmax="+k1.Qmax()+"eff = "+k1.efficiency());
     //flow rate for 1 KW heat : 
     System.out.println("V NM/h="+k1.V_NM3_h(1.0)); 
     System.out.println("Fuel  : "+k1.fuel()); 
     System.out.println("Air  : "+k1.fuel()); 
     System.out.println("Exhaust gases : "+k1.exhaust());  
     }
}
